org.h2.engine

## Class Session.DynamicSettings

- java.lang.Object
- - org.h2.engine.Session.DynamicSettings

Enclosing class:
  Session

    public static final class Session.DynamicSettings
    extends java.lang.Object

Dynamic settings.

### Field Summary

Fields
`Mode` `mode` The database mode.
`TimeZoneProvider` `timeZone` The current time zone.

### Constructor Summary

Constructors
Constructor and Description
`DynamicSettings(Mode mode, TimeZoneProvider timeZone)` Creates new instance of dynamic settings.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mode

    public final Mode mode

The database mode.

#### timeZone

    public final TimeZoneProvider timeZone

The current time zone.

### Constructor Detail

#### DynamicSettings

    public DynamicSettings(Mode mode,
                           TimeZoneProvider timeZone)

Creates new instance of dynamic settings.

Parameters:
  `mode` - the database mode
  `timeZone` - the current time zone